Page MenuHomeFreeBSD

New port: textproc/pup: Command-line jq-like HTML parser using CSS selectors
ClosedPublic

Authored by 0mp on Feb 27 2019, 10:42 AM.

Details

Summary

Commit message:

New port: textproc/pup: Command-line jq-like HTML parser using CSS selectors

pup is a command line tool for processing HTML. It reads from stdin, prints to
stdout, and allows the user to filter parts of the page using CSS selectors.

Inspired by jq, pup aims to be a fast and flexible way of exploring HTML from
the terminal.

WWW: https://github.com/ericchiang/pup
  • Pup is fairly popular HTML parser. It is one of the first results one get in a search engine when looking for CLI HTML parsers. Although it is not actively developed, I believe that it is a useful addition to our ports tree (while not being maintenance burden).
Test Plan
  • portlint
  • poudriere testport 11.2, 12.0, 13.0 on both 11.2 and amd64
  • manual testing on 13.0
  • make test

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Feb 27 2019, 10:42 AM
krion accepted this revision.Feb 28 2019, 9:29 AM
This revision is now accepted and ready to land.Feb 28 2019, 9:29 AM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Mar 2 2019, 11:08 AM
head/textproc/pup/Makefile
26

Shouldn't this be PYTHON_CMD?

27

This looks weird, it would mean it is installed in /bin/pup and not /usr/local/bin/pup, you are probably missing a ${PREFIX}.